<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="es">
<head>
<!-- Generated by javadoc (12.0.1) on Tue Jan 07 09:13:49 CET 2020 -->
<title>C-Index</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<meta name="dc.created" content="2020-01-07">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../jquery/jquery-3.3.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-migrate-3.0.1.js"></script>
<script type="text/javascript" src="../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="C-Index";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="contentContainer"><a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">Y</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a><a id="I:C">
<!--   -->
</a>
<h2 class="title">C</h2>
<dl>
<dt><span class="memberNameLink"><a href="../statistics/AssistanceData.html#calculateAverage()">calculateAverage()</a></span> - Method in class statistics.<a href="../statistics/AssistanceData.html" title="class in statistics">AssistanceData</a></dt>
<dd>
<div class="block">Calculate the average based on the amount and the accumulated amount</div>
</dd>
<dt><span class="memberNameLink"><a href="../attractions/Attraction.html#calculateID(java.lang.String)">calculateID(String)</a></span> - Method in class attractions.<a href="../attractions/Attraction.html" title="class in attractions">Attraction</a></dt>
<dd>
<div class="block">Calculate a unique identifier for the attraction</div>
</dd>
<dt><span class="memberNameLink"><a href="../attractions/AttractionTypeA.html#calculateID(java.lang.String)">calculateID(String)</a></span> - Method in class attractions.<a href="../attractions/AttractionTypeA.html" title="class in attractions">AttractionTypeA</a></dt>
<dd>
<div class="block">Calculate a unique identifier for the attraction</div>
</dd>
<dt><span class="memberNameLink"><a href="../attractions/AttractionTypeB.html#calculateID(java.lang.String)">calculateID(String)</a></span> - Method in class attractions.<a href="../attractions/AttractionTypeB.html" title="class in attractions">AttractionTypeB</a></dt>
<dd>
<div class="block">Calculate a unique identifier for the attraction</div>
</dd>
<dt><span class="memberNameLink"><a href="../attractions/AttractionTypeC.html#calculateID(java.lang.String)">calculateID(String)</a></span> - Method in class attractions.<a href="../attractions/AttractionTypeC.html" title="class in attractions">AttractionTypeC</a></dt>
<dd>
<div class="block">Calculate a unique identifier for the attraction</div>
</dd>
<dt><span class="memberNameLink"><a href="../attractions/AttractionTypeD.html#calculateID(java.lang.String)">calculateID(String)</a></span> - Method in class attractions.<a href="../attractions/AttractionTypeD.html" title="class in attractions">AttractionTypeD</a></dt>
<dd>
<div class="block">Calculate a unique identifier for the attraction</div>
</dd>
<dt><span class="memberNameLink"><a href="../attractions/AttractionTypeE.html#calculateID(java.lang.String)">calculateID(String)</a></span> - Method in class attractions.<a href="../attractions/AttractionTypeE.html" title="class in attractions">AttractionTypeE</a></dt>
<dd>
<div class="block">Calculate a unique identifier for the attraction</div>
</dd>
<dt><span class="memberNameLink"><a href="../tools/MenuItem.html#caption">caption</a></span> - Variable in class tools.<a href="../tools/MenuItem.html" title="class in tools">MenuItem</a></dt>
<dd>
<div class="block">Text to visualize</div>
</dd>
<dt><span class="memberNameLink"><a href="../attractions/AtraccionesActivas.html#changeAttractionStatus(java.lang.String,java.time.LocalDate,java.time.LocalDate,boolean)">changeAttractionStatus(String, LocalDate, LocalDate, boolean)</a></span> - Method in class attractions.<a href="../attractions/AtraccionesActivas.html" title="class in attractions">AtraccionesActivas</a></dt>
<dd>
<div class="block">Change the state of an attraction for the indicated date period
 The date period must belong to the same year</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/Ticket.html#check(boolean)">check(boolean)</a></span> - Method in class ticket.<a href="../ticket/Ticket.html" title="class in ticket">Ticket</a></dt>
<dd>
<div class="block">Check if the group meets all the requirements</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/TicketFamily.html#check(boolean)">check(boolean)</a></span> - Method in class ticket.<a href="../ticket/TicketFamily.html" title="class in ticket">TicketFamily</a></dt>
<dd>
<div class="block">Check if the group meets all the requirements</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/TicketLaborable.html#check(boolean)">check(boolean)</a></span> - Method in class ticket.<a href="../ticket/TicketLaborable.html" title="class in ticket">TicketLaborable</a></dt>
<dd>
<div class="block">Check if the group meets all the requirements</div>
</dd>
<dt><span class="memberNameLink"><a href="../attractions/Attraction.html#check(int,boolean)">check(int, boolean)</a></span> - Method in class attractions.<a href="../attractions/Attraction.html" title="class in attractions">Attraction</a></dt>
<dd>
<div class="block">Check if the characteristics of a person are suitable to ride on the attraction</div>
</dd>
<dt><span class="memberNameLink"><a href="../attractions/AtraccionesActivas.html#checkAttraction(attractions.AttractionStatus,int,java.lang.String)">checkAttraction(AttractionStatus, int, String)</a></span> - Method in class attractions.<a href="../attractions/AtraccionesActivas.html" title="class in attractions">AtraccionesActivas</a></dt>
<dd>
<div class="block">Check if the state control record of the attraction corresponds
 to the attraction and year indicated</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/AssistancePerson.html#children">children</a></span> - Variable in class statistics.<a href="../statistics/AssistancePerson.html" title="class in statistics">AssistancePerson</a></dt>
<dd>
<div class="block">Infant statistical data</div>
</dd>
<dt><span class="memberNameLink"><a href="../statistics/RideAttraction.html#children">children</a></span> - Variable in class statistics.<a href="../statistics/RideAttraction.html" title="class in statistics">RideAttraction</a></dt>
<dd>
<div class="block">Infant statistical data</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/Ticket.html#children">children</a></span> - Variable in class ticket.<a href="../ticket/Ticket.html" title="class in ticket">Ticket</a></dt>
<dd>
<div class="block">Total number of children on the ticket</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/PersonEnum.html#CHILDREN">CHILDREN</a></span> - ticket.<a href="../ticket/PersonEnum.html" title="enum in ticket">PersonEnum</a></dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../tools/MenuItem.html#childrenList">childrenList</a></span> - Variable in class tools.<a href="../tools/MenuItem.html" title="class in tools">MenuItem</a></dt>
<dd>
<div class="block">Next menu item level</div>
</dd>
<dt><span class="memberNameLink"><a href="../staff/StaffBase.html#coefficient">coefficient</a></span> - Variable in class staff.<a href="../staff/StaffBase.html" title="class in staff">StaffBase</a></dt>
<dd>
<div class="block">coefficient referring to the number of assistants in an attraction</div>
</dd>
<dt><span class="memberNameLink"><a href="../Test.html#configAdult(ticket.Ticket,boolean,boolean)">configAdult(Ticket, boolean, boolean)</a></span> - Method in class <a href="../Test.html" title="class in &lt;Unnamed&gt;">Test</a></dt>
<dd>
<div class="block">Configure or create a new adult person into ticket</div>
</dd>
<dt><span class="memberNameLink"><a href="../Test.html#configChildren(ticket.Ticket,boolean)">configChildren(Ticket, boolean)</a></span> - Method in class <a href="../Test.html" title="class in &lt;Unnamed&gt;">Test</a></dt>
<dd>
<div class="block">Add new infant person into ticket</div>
</dd>
<dt><span class="memberNameLink"><a href="../controller/TicketAddController.html#confirmed">confirmed</a></span> - Variable in class controller.<a href="../controller/TicketAddController.html" title="class in controller">TicketAddController</a></dt>
<dd>
<div class="block">Indicates if the ticket is confirmed and posted</div>
</dd>
<dt><a href="../controller/package-summary.html">controller</a> - package controller</dt>
<dd>&nbsp;</dd>
<dt><span class="memberNameLink"><a href="../tools/MenuItem.html#controller">controller</a></span> - Variable in class tools.<a href="../tools/MenuItem.html" title="class in tools">MenuItem</a></dt>
<dd>
<div class="block">Controller that will run</div>
</dd>
<dt><a href="../controller/Controller.html" title="class in controller"><span class="typeNameLink">Controller</span></a> - Class in <a href="../controller/package-summary.html">controller</a></dt>
<dd>
<div class="block">Theme park application.</div>
</dd>
<dt><span class="memberNameLink"><a href="../controller/Controller.html#%3Cinit%3E()">Controller()</a></span> - Constructor for class controller.<a href="../controller/Controller.html" title="class in controller">Controller</a></dt>
<dd>
<div class="block">Contructor</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/Ticket.html#copyFromTicket(ticket.Ticket)">copyFromTicket(Ticket)</a></span> - Method in class ticket.<a href="../ticket/Ticket.html" title="class in ticket">Ticket</a></dt>
<dd>
<div class="block">Copy custom attributes into current ticket from param ticket</div>
</dd>
<dt><span class="memberNameLink"><a href="../ticket/TicketFamily.html#copyFromTicket(ticket.Ticket)">copyFromTicket(Ticket)</a></span> - Method in class ticket.<a href="../ticket/TicketFamily.html" title="class in ticket">TicketFamily</a></dt>
<dd>
<div class="block">Copy custom attributes into current ticket from param ticket</div>
</dd>
</dl>
<a href="index-1.html">A</a>&nbsp;<a href="index-2.html">B</a>&nbsp;<a href="index-3.html">C</a>&nbsp;<a href="index-4.html">D</a>&nbsp;<a href="index-5.html">E</a>&nbsp;<a href="index-6.html">F</a>&nbsp;<a href="index-7.html">G</a>&nbsp;<a href="index-8.html">H</a>&nbsp;<a href="index-9.html">I</a>&nbsp;<a href="index-10.html">L</a>&nbsp;<a href="index-11.html">M</a>&nbsp;<a href="index-12.html">N</a>&nbsp;<a href="index-13.html">O</a>&nbsp;<a href="index-14.html">P</a>&nbsp;<a href="index-15.html">Q</a>&nbsp;<a href="index-16.html">R</a>&nbsp;<a href="index-17.html">S</a>&nbsp;<a href="index-18.html">T</a>&nbsp;<a href="index-19.html">U</a>&nbsp;<a href="index-20.html">V</a>&nbsp;<a href="index-21.html">Y</a>&nbsp;<br><a href="../allclasses-index.html">All&nbsp;Classes</a>&nbsp;<a href="../allpackages-index.html">All&nbsp;Packages</a></div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li><a href="../overview-tree.html">Tree</a></li>
<li><a href="../deprecated-list.html">Deprecated</a></li>
<li class="navBarCell1Rev">Index</li>
<li><a href="../help-doc.html">Help</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
